Summary:	A tool for converting XML files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików XML do różnych formatów
Name:		xmlto
Version:	0.0.29
Release:	1%{?tld}
License:	GPL v2
Group:		Applications/Text
Source0:	https://releases.pagure.org/xmlto/%{name}-%{version}.tar.bz2
# Source0-md5:	9d9e9b2ebfca1e453f5e1599b82c48cc
URL:		http://cyberelk.net/tim/software/xmlto/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl-nons >= 1.56.0
BuildRequires:	libpaper
BuildRequires:	libxslt-progs
BuildRequires:	util-linux
Requires:	docbook-dtd42-xml
Requires:	docbook-style-xsl-nons >= 1.56.0
Requires:	libxslt-progs
Requires:	mktemp >= 1.5-19
Requires:	xmltex
# for getopt
Requires:	util-linux
# fop is required for --with-fop. It is quite rare usecase. Moreover fop is
# heavy dependency (written in Java, requires several Java libs, takes long time
# to execute %post), so we don't want user to force to install it.
Suggests:	fop
# for paperconf program
Suggests:	libpaper
# this is the default; links/lynx/text-www-browser is also possible
Suggests:	w3m
Obsoletes:	refentry2man < 0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package for converting XML files to various formats using
XSL stylesheets.

%description -l pl.UTF-8
Jest to pakiet do konwersji plików w formacie XML do innych formatów
przy użyciu styli XSL.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	FOP=/usr/bin/fop \
	PAPER_CONF=/usr/bin/paperconf \
	PDFXMLTEX=/usr/bin/pdfxmltex \
	XMLTEX=/usr/bin/xmltex
%{__make}

cat > refentry2man <<'EOF'
#!/bin/sh
XMLTO_TMPFILE=$(mktemp -t xmltoXXXXXX)
XMLTO_TMPDIR=$(mktemp -d -t xmltodirXXXXXX)
cat - > $XMLTO_TMPFILE
xmlto -o $XMLTO_TMPDIR man $XMLTO_TMPFILE >/dev/null
cat $XMLTO_TMPDIR/*
rm -f $XMLTO_TMPFILE
rm -rf $XMLTO_TMPDIR
EOF

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install refentry2man $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.md ChangeLog NEWS.md README.md THANKS.md
%attr(755,root,root) %{_bindir}/refentry2man
%attr(755,root,root) %{_bindir}/xmlif
%attr(755,root,root) %{_bindir}/xmlto
%{_datadir}/%{name}
%{_mandir}/man1/xmlif.1*
%{_mandir}/man1/xmlto.1*
%changelog
* Tue Dec 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xmlto.git;a=log;h=15e706b703b9933856f4d8e8826f376a7f344945

* Fri Oct 25 2024 Jan Palus <atler@pld-linux.org> 15e706b
- BR: docbook-style-xsl-nons instead of docbook-style-xsl

* Fri Oct 25 2024 Jakub Bogusz <qboosh@pld-linux.org> ba88b98
- updated to 0.0.29

* Fri Sep 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 9758666
- updated Source0 URL

* Tue Mar 20 2018 Jan Rękorajski <baggins@pld-linux.org> 778a464
- updated deps

* Fri Nov 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 800f6f3
- updated to 0.0.28

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3a7ae73
- x32 rebuild
- release 2 (by relup.sh)

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 7093eb5
- updated to 0.0.26

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> c02a8e2
- updated to 0.0.25

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 73fe689
- updated to 0.0.24

* Wed Dec 01 2010 Jakub Bogusz <qboosh@pld-linux.org> b19a155
- updated to 0.0.23
- removed obsolete no_which patch
- pass some paths for deterministic build

* Mon Sep 27 2010 pawelz <pawelz@pld-linux.org> bbc219c
- S: fop
- rel 5

* Thu Nov 19 2009 zbyniu <zbyniu@pld-linux.org> a65611f
- rel 4

* Thu Oct 29 2009 Karol Krenski <charles@pld-linux.org> 7551937
- xmlto without R: which

* Thu Oct 29 2009 Karol Krenski <charles@pld-linux.org> cc941f3
- added -no_which.patch
- BR/S libpaper

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f81c939
- rel 3

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c07a39
- rel 2

* Fri May 29 2009 amateja <amateja@pld-linux.org> 6fc0f7f
- updated to 0.0.22

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> eb18f6a
- updated to 0.0.21
- updated URLs

* Sun May 25 2008 zbyniu <zbyniu@pld-linux.org> b601369
- up to 0.0.20

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 70517cd
- rel 7

